/****************************************************************************/
/* GF71 ( 画面関連状態ﾃｰﾌﾞﾙ )                                               */
/*                                                                          */
/* Created : 2021/06/29 14:04:06                                            */
/****************************************************************************/

CREATE TABLE GF71 (
   SYSTEM_ID    VARCHAR         (  10 )                 NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU       VARCHAR         (   1 )                 NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , ADDRESS      VARCHAR         ( 256 )                                     /*  3 ｱﾄﾞﾚｽ         */
 , FILENAME     VARCHAR         (  60 )                                     /*  4 ﾌｧｲﾙ名        */
 , FILEPATH     VARCHAR         ( 256 )                                     /*  5 ﾌｧｲﾙﾊﾟｽ       */
 , MODIFIED     VARCHAR         (  14 )                                     /*  6 最終更新日    */
 , TAGNAME      VARCHAR         (  30 )                                     /*  7 ﾀｸﾞ名称       */
 , TO_GAMENID   VARCHAR         (  30 )                                     /*  8 先画面ID      */
 , HREF         VARCHAR         ( 256 )                                     /*  9 ﾘﾝｸ先URL      */
 , TARGET       VARCHAR         (  30 )                                     /* 10 ﾀｰｹﾞｯﾄ        */
 , CLM          VARCHAR         (  30 )                                     /* 11 項目          */
 , P_KEYS       VARCHAR         ( 500 )                                     /* 12 引数ｷｰ        */
 , P_VALS       VARCHAR         ( 500 )                                     /* 13 引数値        */
 , USEGAMENID   VARCHAR         (  20 )                                     /* 14 画面使用      */
 , USEREDIRECT  VARCHAR         (  20 )                                     /* 15 ﾘﾀﾞｲﾚｸﾄ使用   */
 , TEXT_DATA    BLOB SUB_TYPE 1                                             /* 16 ﾃｷｽﾄ          */
 , FGOMIT       VARCHAR         (   1 )     DEFAULT '0' NOT NULL            /* 17 除外ﾌﾗｸﾞ      */
 , UNIQ         BIGINT                                  NOT NULL            /* 18 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR         (   1 )     DEFAULT '1' NOT NULL            /* 19 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR         (  14 )                                     /* 20 登録日時      */
 , PGSET        VARCHAR         (  10 )                                     /* 21 作成PG        */
 , PGPSET       VARCHAR         (  10 )                                     /* 22 作成親PG      */
 , USRSET       VARCHAR         (  10 )                                     /* 23 作成社員      */
 , DYUPD        VARCHAR         (  14 )                                     /* 24 更新日時      */
 , PGUPD        VARCHAR         (  10 )                                     /* 25 更新PG        */
 , PGPUPD       VARCHAR         (  10 )                                     /* 26 更新親PG      */
 , USRUPD       VARCHAR         (  10 )                                     /* 27 更新者        */
);


CREATE SEQUENCE GF71S00 ;


CREATE TRIGGER GF71T00 FOR GF71
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF71S00,1 );
  END; 

