/****************************************************************************/
/* GF81 ( ARG変数定義 )                                                     */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF81 (
   SYSTEM_ID    VARCHAR2 (  10 )                        NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU       VARCHAR2 (   1 )                        NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , OBJ_NAME     VARCHAR2 (  30 )                        NOT NULL            /*  3 ｵﾌﾞｼﾞｪｸﾄ名    */
 , SEQNO        NUMBER   (   7 )        DEFAULT 0       NOT NULL            /*  4 表示順        */
 , CLM          VARCHAR2 (  30 )                        NOT NULL            /*  5 項目          */
 , CLS_NAME     VARCHAR2 (  10 )                        NOT NULL            /*  6 DBｸﾗｽ         */
 , USE_LENGTH   VARCHAR2 (   9 )        DEFAULT 'NULL'                      /*  7 使用桁数      */
 , TABLE_NAME   VARCHAR2 (  50 )                                            /*  8 ﾃｰﾌﾞﾙ名       */
 , MAX_LENGTH   VARCHAR2 (  10 )                                            /*  9 最大使用桁数  */
 , CLM_NAME     VARCHAR2 ( 120 )                                            /* 10 項目名(漢字)  */
 , CDKH         VARCHAR2 (   1 )                                            /* 11 改廃ｺｰﾄﾞ      */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0       NOT NULL            /* 12 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1'     NOT NULL            /* 13 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (  14 )                                            /* 14 登録日時      */
 , PGSET        VARCHAR2 (  10 )                                            /* 15 作成PG        */
 , PGPSET       VARCHAR2 (  10 )                                            /* 16 作成親PG      */
 , USRSET       VARCHAR2 (  10 )                                            /* 17 作成社員      */
 , DYUPD        VARCHAR2 (  14 )                                            /* 18 更新日時      */
 , PGUPD        VARCHAR2 (  10 )                                            /* 19 更新PG        */
 , PGPUPD       VARCHAR2 (  10 )                                            /* 20 更新親PG      */
 , USRUPD       VARCHAR2 (  10 )                                            /* 21 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 384K );


CREATE SEQUENCE GF81S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF81T00 
  BEFORE INSERT ON GF81
  FOR EACH ROW 
  BEGIN 
    SELECT GF81S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
